| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::SidebarWidget Class Referenceabstract

Abstract base class for widgets that are use in one of digikams's sidebars.

Inheritance diagram for Digikam::SidebarWidget:

## Signals
void | requestActiveTab (SidebarWidget *)
| This signal can be emitted if this sidebar widget wants to be the one that is active.
void | signalNotificationError (const QString &message, int type)
| To dispatch error message to temporized pop-up notification widget hosted with icon-view.

## Public Member Functions
| SidebarWidget (QWidget *const parent)
| Constructor.
| ~SidebarWidget () override=default
| Destructor.
virtual void | applySettings ()=0
| This method is invoked when the application settings should be (re-) applied to this widget.
virtual void | changeAlbumFromHistory (const QList< Album * > &album)=0
| This is called on this widget when the history requires to move back to the specified album.
virtual const QString | getCaption ()=0
| Must be implemented to return the title of this sidebar's tab.
virtual const QIcon | getIcon ()=0
| Must be implemented and return the icon that shall be visible for this sidebar widget.
virtual void | setActive (bool active)=0
| This method is called if the visible sidebar widget is changed.
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Additional Inherited Members
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...
Protected Member Functions inherited from Digikam::StateSavingObject
virtual void | doLoadState ()=0
| Implement this hook method for state loading.
virtual void | doSaveState ()=0
| Implement this hook method for state saving.
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Constructor & Destructor Documentation

## ◆ SidebarWidget()

Digikam::SidebarWidget::SidebarWidget | ( | QWidget *const | parent | ) |
| explicit

Parameters

  parent | the parent of this widget, may be null

## Member Function Documentation

## ◆ applySettings()

virtual void Digikam::SidebarWidget::applySettings | ( |  | ) |
| pure virtual

Implemented in Digikam::AlbumFolderViewSideBarWidget, Digikam::DateFolderViewSideBarWidget, Digikam::FuzzySearchSideBarWidget, Digikam::GPSSearchSideBarWidget, Digikam::LabelsSideBarWidget, Digikam::PeopleSideBarWidget, Digikam::SearchSideBarWidget, Digikam::TagViewSideBarWidget, and Digikam::TimelineSideBarWidget.

## ◆ changeAlbumFromHistory()

virtual void Digikam::SidebarWidget::changeAlbumFromHistory | ( | const QList< Album * > & | album | ) |
| pure virtual

Implemented in Digikam::AlbumFolderViewSideBarWidget, Digikam::DateFolderViewSideBarWidget, Digikam::FuzzySearchSideBarWidget, Digikam::GPSSearchSideBarWidget, Digikam::LabelsSideBarWidget, Digikam::PeopleSideBarWidget, Digikam::SearchSideBarWidget, Digikam::TagViewSideBarWidget, and Digikam::TimelineSideBarWidget.

## ◆ getCaption()

virtual const QString Digikam::SidebarWidget::getCaption | ( |  | ) |
| pure virtual

Returns
  localized title string

Implemented in Digikam::AlbumFolderViewSideBarWidget, Digikam::DateFolderViewSideBarWidget, Digikam::FuzzySearchSideBarWidget, Digikam::GPSSearchSideBarWidget, Digikam::LabelsSideBarWidget, Digikam::PeopleSideBarWidget, Digikam::SearchSideBarWidget, Digikam::TagViewSideBarWidget, and Digikam::TimelineSideBarWidget.

## ◆ getIcon()

virtual const QIcon Digikam::SidebarWidget::getIcon | ( |  | ) |
| pure virtual

Returns
  pixmap icon

Implemented in Digikam::AlbumFolderViewSideBarWidget, Digikam::DateFolderViewSideBarWidget, Digikam::FuzzySearchSideBarWidget, Digikam::GPSSearchSideBarWidget, Digikam::LabelsSideBarWidget, Digikam::PeopleSideBarWidget, Digikam::SearchSideBarWidget, Digikam::TagViewSideBarWidget, and Digikam::TimelineSideBarWidget.

## ◆ setActive()

virtual void Digikam::SidebarWidget::setActive | ( | bool | active | ) |
| pure virtual

Parameters

  active | if true, this widget is the new active widget, if false another widget is active

Implemented in Digikam::AlbumFolderViewSideBarWidget, Digikam::DateFolderViewSideBarWidget, Digikam::FuzzySearchSideBarWidget, Digikam::GPSSearchSideBarWidget, Digikam::LabelsSideBarWidget, Digikam::PeopleSideBarWidget, Digikam::SearchSideBarWidget, Digikam::TagViewSideBarWidget, and Digikam::TimelineSideBarWidget.